;;; lang-js.el --- Configuración para el lenguaje Javascript 	-*- lexical-binding: t -*-

;; Author: kj <webmaster@outcontrol.net>
;; URL: https://git.kj2.me/kj/confi-emacs-actual

;;; Commentary:

;; Archivo de configuración para el lenguaje Javascript

;;; Code:

(use-package js
  :defer t
  :elpaca nil
  :mode
  ("\\.js$" . js-mode)
  :hook
  (js-mode . eglot-ensure)
  :config
  (setq js-indent-level 2))

;; json-mode
(use-package json-mode
  :defer t
  :ensure t
  :mode
  ("\\.json$" . json-mode)
  :config
  (setq js-indent-level 2))


(provide 'lang-js)
;;; lang-js.el ends here
